Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlLinkRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
              org.apache.myfaces.shared_orchestra.renderkit.html.HtmlLinkRendererBase

    public abstract class HtmlLinkRendererBase

extends HtmlRenderer

Version:
  $Revision: 522124 $ $Date: 2007-03-25 00:31:16 +0100 (So, 25 Mär 2007) $
Author:
  Manfred Geiler

Field Summary
`static java.lang.String` | `URL_STATE_MARKER`
`static int` | `URL_STATE_MARKER_LEN`

Constructor Summary
`HtmlLinkRendererBase()`

Method Summary
`protected void` | `addHiddenCommandParameter(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent nestingForm, java.lang.String hiddenFieldName)`
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected FormInfo` | `findNestingForm(javax.faces.component.UIComponent uiComponent, javax.faces.context.FacesContext facesContext)` find nesting form need to be overrideable to deal with dummyForm stuff in tomahawk.
`boolean` | `getRendersChildren()`
`protected java.lang.String` | `getStyle(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent link)` Can be overwritten by derived classes to overrule the style to be used.
`protected java.lang.String` | `getStyleClass(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent link)` Can be overwritten by derived classes to overrule the style class to be used.
`protected void` | `renderCommandLinkEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` | `renderCommandLinkStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.String clientId, java.lang.Object value, java.lang.String style, java.lang.String styleClass)`
`protected void` | `renderJavaScriptAnchorStart(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, java.lang.String clientId)`
`protected void` | `renderNonJavaScriptAnchorStart(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, java.lang.String clientId)`
`protected void` | `renderOutputLinkEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` | `renderOutputLinkStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIOutput output)`

Methods inherited from class org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer
`getActionUrl, getChildCount, getChildren, getClientId, renderId, shouldRenderId, toUri`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_STATE_MARKER

    public static final java.lang.String URL_STATE_MARKER

See Also:
  Constant Field Values

### URL_STATE_MARKER_LEN

    public static final int URL_STATE_MARKER_LEN

Constructor Detail

### HtmlLinkRendererBase

    public HtmlLinkRendererBase()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

  Overrides:
    `decode` in class `javax.faces.render.Renderer`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `javax.faces.render.Renderer`
  Throws:
    `java.io.IOException`

### getStyle

    protected java.lang.String getStyle(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent link)

  Can be overwritten by derived classes to overrule the style to be used.

### getStyleClass

    protected java.lang.String getStyleClass(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIComponent link)

  Can be overwritten by derived classes to overrule the style class to be used.

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `javax.faces.render.Renderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `java.io.IOException`

### renderCommandLinkStart

    protected void renderCommandLinkStart(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent component,
                                          java.lang.String clientId,
                                          java.lang.Object value,
                                          java.lang.String style,
                                          java.lang.String styleClass)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderJavaScriptAnchorStart

    protected void renderJavaScriptAnchorStart(javax.faces.context.FacesContext facesContext,
                                               javax.faces.context.ResponseWriter writer,
                                               javax.faces.component.UIComponent component,
                                               java.lang.String clientId)
                                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### findNestingForm

    protected FormInfo findNestingForm(javax.faces.component.UIComponent uiComponent,
                                       javax.faces.context.FacesContext facesContext)

  find nesting form
  need to be overrideable to deal with dummyForm stuff in tomahawk.

### addHiddenCommandParameter

    protected void addHiddenCommandParameter(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIComponent nestingForm,
                                             java.lang.String hiddenFieldName)

### renderNonJavaScriptAnchorStart

    protected void renderNonJavaScriptAnchorStart(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.context.ResponseWriter writer,
                                                  javax.faces.component.UIComponent component,
                                                  java.lang.String clientId)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderOutputLinkStart

    protected void renderOutputLinkStart(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIOutput output)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderOutputLinkEnd

    protected void renderOutputLinkEnd(javax.faces.context.FacesContext facesContext,
                                       javax.faces.component.UIComponent component)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderCommandLinkEnd

    protected void renderCommandLinkEnd(javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent component)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.